Skip to main content
GET
/
deployments
Python
import os
from miru_platform_sdk import Miru

client = Miru(
    api_key=os.environ.get("MIRU_API_KEY"),  # This is the default and can be omitted
)
deployment_list = client.deployments.list()
print(deployment_list)
{
  "object": "list",
  "limit": 10,
  "offset": 0,
  "has_more": false,
  "data": [
    {
      "object": "deployment",
      "id": "dpl_123",
      "description": "Deployment for the motion control config instance",
      "status": "staged",
      "activity_status": "staged",
      "error_status": "none",
      "target_status": "staged",
      "device_id": "dvc_123",
      "release_id": "rls_123",
      "created_at": "2024-01-01T00:00:00Z",
      "updated_at": "2024-01-01T00:00:00Z"
    }
  ],
  "total_count": 123
}

Documentation Index

Fetch the complete documentation index at: https://docs.mirurobotics.com/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

X-API-Key
string
header
required

The API key to use for authentication.

Headers

Miru-Version
string
required

The API version the client was built against.

Example:

"2026-05-06.rainier"

Query Parameters

offset
integer
default:0

The offset of the items to return. An offset of 10 with a limit of 10 returns items 11-20.

Required range: x >= 0
Example:

0

limit
integer
default:10

The maximum number of items to return. A limit of 15 with an offset of 0 returns items 1-15.

Required range: 1 <= x <= 100
Example:

10

order_by
enum<string>[]

Sort order for the deployment results.

Available options:
id:asc,
id:desc,
created_at:desc,
created_at:asc
Example:
["created_at:desc"]
expand
enum<string>[]

Fields to expand on each deployment in the list.

Available options:
total_count,
device,
release,
config_instances
Example:
["device"]
id
string[]

The deployment IDs to filter by.

Example:
["dpl_123"]
target_status
enum<string>[]

The deployment target statuses to filter by.

Desired state of the deployment.

staged means the deployment is ready to be deployed.

deployed means all config instances in the deployment are available for consumption on the device.

archived means the deployment is available for historical reference but cannot be deployed and is not active on the device.

Available options:
staged,
deployed,
archived
Example:
["staged"]
activity_status
enum<string>[]

The deployment activity statuses to filter by.

Last known activity state of the deployment.

drifted means the device's configurations have drifted since this deployment was staged, and the deployment needs to be reviewed before it can be deployed.

staged means the deployment is ready to be deployed.

queued means the deployment's config instances are waiting to be received by the device and will be deployed as soon as the device is online.

deployed means the deployment's config instances are currently available for consumption on the device.

removing means the deployment's config instances are being removed from the device.

archived means the deployment is available for historical reference but cannot be deployed and is not active on the device.

Available options:
drifted,
staged,
queued,
deployed,
removing,
archived
Example:
["drifted"]
error_status
enum<string>[]

The deployment error statuses to filter by.

Last known error state of the deployment.

none means there are no errors.

retrying means an error has been encountered and the agent is retrying to reach the target status.

failed means a fatal error has been encountered; the deployment is archived and, if deployed, removed from the device.

Available options:
none,
failed,
retrying
Example:
["none"]
device_id
string[]

The deployment device IDs to filter by.

Example:
["dvc_123"]
release_id
string[]

The deployment release IDs to filter by.

Example:
["rls_123"]

Response

200 - application/json

Successfully listed the deployments.

object
enum<string>
required

The object type, which is always list.

Available options:
list
Example:

"list"

limit
integer
default:10
required

The maximum number of items to return. A limit of 15 with an offset of 0 returns items 1-15.

Required range: 1 <= x <= 100
offset
integer
default:0
required

The offset of the items to return. An offset of 10 with a limit of 10 returns items 11-20.

Required range: x >= 0
has_more
boolean
required

True if there are more items in the list to return. False if there are no more items to return.

Example:

false

data
Deployment · object[]
required

The list of deployments.

total_count
integer<int64>

The total number of items in the list. By default the total count is not returned. The total count must be expanded (using expand=total_count) to get the total number of items in the list.

Last modified on May 18, 2026